<html lang="en">
<head>
<title>Introspection - Enhanced Implementation of Emacs Interpreted Objects</title>
<meta http-equiv="Content-Type" content="text/html">
<meta name="description" content="Enhanced Implementation of Emacs Interpreted Objects">
<meta name="generator" content="makeinfo 4.8">
<link title="Top" rel="start" href="index.html#Top">
<link rel="prev" href="Association-Lists.html#Association-Lists" title="Association Lists">
<link rel="next" href="Signals.html#Signals" title="Signals">
<link href="http://www.gnu.org/software/texinfo/" rel="generator-home" title="Texinfo Homepage">
<meta http-equiv="Content-Style-Type" content="text/css">
<style type="text/css"><!--
  pre.display { font-family:inherit }
  pre.format  { font-family:inherit }
  pre.smalldisplay { font-family:inherit; font-size:smaller }
  pre.smallformat  { font-family:inherit; font-size:smaller }
  pre.smallexample { font-size:smaller }
  pre.smalllisp    { font-size:smaller }
  span.sc    { font-variant:small-caps }
  span.roman { font-family:serif; font-weight:normal; } 
  span.sansserif { font-family:sans-serif; font-weight:normal; } 
--></style>
</head>
<body>
<div class="node">
<p>
<a name="Introspection"></a>
Next:&nbsp;<a rel="next" accesskey="n" href="Signals.html#Signals">Signals</a>,
Previous:&nbsp;<a rel="previous" accesskey="p" href="Association-Lists.html#Association-Lists">Association Lists</a>,
Up:&nbsp;<a rel="up" accesskey="u" href="index.html#Top">Top</a>
<hr>
</div>

<h2 class="chapter">10 Introspection</h2>

<p>Introspection permits a programmer to peek at the contents of a class
without any previous knowledge of that class.  While EIEIO implements
objects on top of vectors, and thus everything is technically visible,
some functions have been provided.  None of these functions are a part
of CLOS.

<div class="defun">
&mdash; Function: <b>object-slots</b><var> obj<a name="index-object_002dslots-54"></a></var><br>
<blockquote><p>Return the list of public slots for <var>obj</var>. 
</p></blockquote></div>

<div class="defun">
&mdash; Function: <b>class-slot-initarg</b><var> class slot<a name="index-class_002dslot_002dinitarg-55"></a></var><br>
<blockquote><p>For the given <var>class</var> return the :initarg associated with
<var>slot</var>.  Not all slots have initargs, so the return value can be
nil. 
</p></blockquote></div>

   </body></html>

